* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --primary-font: "Poppins", sans-serif;
  --blue0: #3774a9;
  --blue1: #76a7d2;
  --blue2: #8cb5d9;
  --blue3: #b2cee6;
  --blue4: #d7e6f3;
  --blue5: #e7f0f8;
  --white: #f7f8f9;
  --black: #1f2a37;
  --gray0: #4d4d4d;
  --gray1: #878787;
  --gray2: #afafaf;
  --gray3: #e6e6e6;
  --gray4: #f3f5f6;
  --gray-stroke: rgba(195, 195, 195, 0.1);
  --light-blue-gray: #e6e9ec;
  --light-salmon: #e6b2b2;
  --salmon: #d98c8c;
  --bg: #e6e6e7;
  --fw300: 300;
  --fw400: 400;
  --fw500: 500;
  --fw600: 600;
  --fw700: 700;
  --fw800: 800;
  --border-radius: 0.5rem;
  --radius4: 0.25rem;
  --radius10: 0.625rem;
  --radius100: 6.25rem;
  --blue-inner-shadow: 0.25rem 0.25rem 0.25rem 0 rgba(255, 255, 255, 0.7) inset,
    -0.125rem -0.125rem 0.25rem 0 rgba(118, 167, 210, 0.54) inset,
    0.125rem 0.125rem 0.25rem 0 rgba(118, 167, 210, 0.85) inset;
  --gray-inner-shadow: 0.125rem 0.25rem 0.25rem 0 rgba(195, 195, 195, 0.43),
    -0.125rem -0.125rem 0.5rem 0 rgba(195, 195, 195, 0.5) inset,
    0.125rem 0.125rem 0.5rem 0 rgba(195, 195, 195, 0.2) inset;
  --box-shadow: 0 0.25rem 0.25rem 0 rgba(209, 209, 209, 0.25);
  --transition: 0.4s all ease;
  --letter-spacing: 0.0688rem;
  --line-height: 1.75rem;
}

body {
  background-color: var(--bg);
  width: 100%;
  max-width: 100vw;
  font-size: 16px;
}

/* *** 🔷 footer *** */

footer {
  background: var(--gray4);
  width: 100%;
  min-width: 100vw;
  margin-top: 200px;
}
.logo-contents{
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  width: 80%;
  max-width: 50rem;
  margin: 2.5rem auto;
  gap: 1.5rem;
}

.footer-logo {
  width: 1.5rem;
  height: 1.5rem;
  background-image: url("../assets/icons/logo.svg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.footer-container{
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
width: 100%;
}

/* === 📌 navigation menu === */

.footer-ul a {
  text-decoration: none;
}

.footer-ul {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  align-items: flex-start;
  justify-content: center;
}

.footer-ul li {
  list-style: none;
  cursor: pointer;
  color: var(--gray0);
  font-size: 0.875rem;
  font-weight: var(--fw400);
  transition: var(--transition);
}

.footer-ul li:hover {
  color: var(--gray1);
}

/* === 📌 contact section === */

.contact-social-container{
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 2rem;
}

.contact-menu {
  display: flex;
  color: var(--gray0);
  align-items: center;
  justify-content: flex-start;
  font-weight: var(--fw400);
  gap: 0.5rem;
  cursor:pointer;
}

.contact-menu:hover{
  text-decoration: underline;}

.contact-wrapper {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  align-items: flex-start;
  justify-content: center;
}

.social-wrapper{
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 1rem;
}

.footer-social-icon {
  width: 2rem;
  height: 2rem;
  background: url("../assets/icons/instagram.svg");
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
  padding: 0.25rem;
  border-radius: 0.5rem;
  border: 0.0938rem solid var(--gray0);
  cursor: pointer;
  transition: var(--transition);
}

.footer-social-icon:hover {
  background: url("../assets/icons/instagram.svg"), var(--gray3);
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
}

#footer-fb {
  background: url("../assets/icons/facebook.svg");
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
}

#footer-fb:hover {
  background: url("../assets/icons/facebook.svg"), var(--gray3);
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
}

#footer-in {
  background: url("../assets/icons/linkedin.svg");
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
}

#footer-in:hover {
  background: url("../assets/icons/linkedin.svg"), var(--gray3);
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
}

/* === 📌 newsletter subscription === */


.newsletter{
  font-size: 0.875rem;
  color: var(--gray0);
  font-weight: var(--fw400);
}

.newsletter-wrapper{
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 1rem;
}

/* === 📌 responsive === */

@media (max-width: 46.25rem){
.logo-contents{
  flex-direction: column;
  align-items: center;
  justify-content: center;

  margin: 2.5rem auto;
}
.footer-container{
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;

}
.footer-ul, .contact-wrapper{
  gap: 0.5rem;
  align-items: center;
  width: 100%;
}

.social-wrapper{
  width: 100%;
  justify-content: center;
}
}